﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Prevody
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        string LZero (int i)
        {
            string s = i.ToString();
            if (s.Length == 1)
            {
                return "0" + s;
            }
            return s;
        }

        private void BtnPrevod_Click(object sender, RoutedEventArgs e)
        {
            int h, m, s;
            if (int.TryParse(TxtCelkem.Text, out int celkem))
            {
                h = celkem / 3600;
                int zbytek = celkem % 3600;
                m = zbytek / 60;
                s = zbytek % 60;

                TxtH.Text = h.ToString();
                TxtM.Text = m.ToString();
                TxtS.Text = s.ToString();

                //TxtTitle.Text = LZero(h) + ":" + LZero(m) + ":" + LZero(s);
                TxtTitle.Text = h.ToString("d2") + ":" + m.ToString("d2") + ":" + s.ToString("d2");
            }
            else
            {
                MessageBox.Show("Neplatný formát vstupu.", "Varování", 
                    MessageBoxButton.OK, MessageBoxImage.Warning);
            }

        }
    }
}
